<?php

/* * ******************************************
 * LiteSpeed Web Server Plugin for DirectAdmin
 *
 * @author LiteSpeed Technologies, Inc. (https://www.litespeedtech.com)
 * @copyright (c) 2019
 * @since 2.0
 * ******************************************* */

namespace LsPanel\Extend;

use \Lsc\Wp\WPDashMsgs;
use \LsPanel\DAEscalate;

/**
 * @since 2.0
 */
class DAPanelWPDashMsgs extends WPDashMsgs
{

    /**
     *
     * @since 2.0
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     *
     * @since 2.0
     */
    protected function init()
    {
        $this->msgData = DAEscalate::escalate(true,
                DAEscalate::MGR_CMD_GET_WP_DASH_MSG_DATA);
    }

    /**
     *
     * @since 2.0
     */
    protected function saveDataFile()
    {
        $args = array( 'msgsJson' => base64_encode(json_encode($this->msgData)) );

        DAEscalate::escalate(true, DAEscalate::MGR_CMD_WRITE_WP_DASH_MSGS_DATA,
                $args);
    }
}