<?php

use \LsPanel\View\Model\Open_MainMenuViewModel as ViewModel;

$lsPid = $this->viewModel->getTplData(ViewModel::FLD_LS_PID);
$apPid = $this->viewModel->getTplData(ViewModel::FLD_AP_PID);
$mInfo = $this->viewModel->getTplData(ViewModel::FLD_MAIN_MENU_INFO);
$pluginVer = $this->viewModel->getTplData(ViewModel::FLD_PLUGIN_VER);
$currLscwpVer = $this->viewModel->getTplData(ViewModel::FLD_CURR_LSCWP_VER);
$latestLscwpVer = $this->viewModel->getTplData(ViewModel::FLD_LATEST_LSCWP_VER);

$admin_url = $mInfo['adminurl'];

?>

<table bgcolor="#ffffff" border="0" align="center" width="100%">
  <tr>
    <td>
      <center>
        <img alt="LiteSpeed Web Server"
             src="/CMD_PLUGINS_ADMIN/litespeed/images/icons/litespeedWebServerCentered.png"
             onclick="window.open('http://www.litespeedtech.com')">
      </center>
    </td>
  </tr>
  <tr class="scellheader">
    <td>

      <?php if ($lsPid > 0) : ?>

      LiteSpeed is running (PID = <?php echo $lsPid; ?>).

      <?php else : ?>

      LiteSpeed is not running.

      <?php

      endif;

      if ($apPid > 0) :

      ?>

      Apache is running (PID = <?php echo $apPid; ?>).

      <?php else : ?>

      Apache is not running.

      <?php endif; ?>

    </td>
  </tr>
  <tr>
    <td>
      <br />
    </td>
  </tr>
</table>
<fieldset>
  <legend>Control LiteSpeed Web Server</legend>
  <table align="center" cellspacing="5" cellpadding="5" border="0" width="98%">
    <tr>

      <?php if ( $lsPid > 0 ) : ?>

      <td class="list2">
        <a href="<?php echo $admin_url; ?>" target="_blank">WebAdmin Console</a>
      </td>

      <?php else : ?>

      <td class="list2" title="Please start LiteSpeed to access Admin Console">
        WebAdmin Console
      </td>

      <?php endif; ?>

      <td class="list2"><a href="?do=restart_lsws">Restart LiteSpeed</a></td>
    </tr>
  </table>
</fieldset>
<br />
<fieldset>
  <legend>LiteSpeed Cache For WordPress Management</legend>
  <table align="center" cellspacing="5" cellpadding="5" border="0" width="98%">
    <tr>
      <td class="list2">
        <a href="?do=lscwp_manage">Manage Cache Installations</a>
      </td>
      <td class="list2">
        <a href="?do=lscwp_mass_enable_disable">Mass Enable/Disable Cache</a>
      </td>
      <td class="list2">

        <?php if ( $currLscwpVer == '' ) : ?>

        <a href="?do=lscwpVersionManager">LSCWP Version Manager</a>

        <?php else : ?>

        <a href="?do=lscwpVersionManager">
          Current Version: <?php echo htmlspecialchars($currLscwpVer); ?>
        </a>

        <?php

            if ( $latestLscwpVer != '' && $latestLscwpVer != $currLscwpVer ) :

        ?>

        <br />
        <span class="small red">
          Latest Release: <?php echo htmlspecialchars($latestLscwpVer); ?>
        </span>

        <?php

            endif;
        endif;

        ?>

      </td>
      <td class="list2">
        <a href="?do=dash_notifier">WordPress Dash Notifier</a>
      </td>
    </tr>
  </table>
</fieldset>
<br />
<p style="margin-top:30px; color:#a0a0a0; text-align:right">
  This plugin is developed by LiteSpeed Technologies, DirectAdmin is not
  responsible for support.
  <br/>
  Please contact litespeedtech.com for all related questions and issues.
  <br/>
  <br/>
  LiteSpeed Web Server Plugin for DirectAdmin v<?php echo $pluginVer; ?>
</p>
