#!/bin/sh

chk_ap_running()
{
    RUNNING=0

    if [ -f $PIDFILE ] ; then
	FPID=`cat $PIDFILE`
	if [ "x$FPID" != "x" ] ; then
            PL=`$PS_CMD | grep -w $FPID | grep $EXECUTABLE | grep -v grep | grep -v lscgid`
            if [ "x$PL" != "x" ] ; then
		RUNNING=1
		PID=$FPID
            fi
	fi
    fi
}


SYS_NAME=`uname -s`
if [ "x$SYS_NAME" = "xFreeBSD" ] || [ "x$SYS_NAME" = "xDarwin" ] ; then
    PS_CMD="ps -ax"
else
    PS_CMD="ps -ef"
fi

PIDFILE=/var/run/httpd.pid
EXECUTABLE=httpd

chk_ap_running

if [ "x$1" = "xverbose" ] ; then
    echo $RUNNING
    echo $PID
fi

if [ $RUNNING -ne 0 ] ; then
    exit 0  # is still running
else
    exit 1  # not running
fi

